Kerbal Space Program - Bug #3910

NullReferenceException when KSPAchievements.CrewRef.Save called
12/27/2014 11:39 AM - EICarl
Windows

| had just completed a ground survey contract on foot, and attempted to recover the Kerbal. Clicking on the "Recover Vessel" option
did nothing, nor did clicking "Space Centre". | attempted to switch to a nearby vessel and do the same, but the same thing happened.
| opened the debug info, and it said that a NullReferenceException had been thrown at each point I'd tried to do something.

Quit to main menu also didn't work, so | was forced to Alt-F4 to close the program.

| can still load my save, but can not do anything relevant: | can't access the VAB/SPH, tracking centre nor quit to the menu. On the
buildings that | can access, | can't then return to the space centre. All of these issues appear to be the same NullReferencePointer
exception.

All of the exceptions seem to be thrown after the game tries to save the achievements tree, and the last method on the stack shown
in the log is KSPAchievements.CrewRef.Save

Related issues:
Is duplicate of Kerbal Space Program - Bug #3243: Kerbals missing from the Cr... Closed 09/26/2014

History

#1 - 12/27/2014 12:40 PM - ElCarl

Just an update to note that | have no mods installed.

#2 - 12/27/2014 12:49 PM - ElCarl

Found a thread on the forums with the same issue and a workaround:
http://forum.kerbalspaceprogram.com/threads/103329-Achievement-Ul-crash-from-achievements
| had fired Jebediah after he had a couple of achievements, and re-adding him to the persistent.sfs file fixed the issue.

#3 - 01/02/2015 04:58 AM - Squelch

- Status changed from New to Need More Info

- Severity changed from High to Low

| strongly suspect that this is another manifestation of #3243

| have set a duplicate link, but left the status as "need more info" to allow for expansion on how this issue can be reproduced.
#4 - 01/02/2015 08:19 AM - RexKramer

Yup, this sounds exactly like #3243.

ElCarl, could you please take a look at this link?
http://forum.kerbalspaceprogram.com/threads/105651-FIX-KSC-Buildings-Lock-Up-Can-t-Click-on-Anything-Firing-Kerbal-Crashes-Game

05/19/2024 12



http://forum.kerbalspaceprogram.com/threads/103329-Achievement-UI-crash-from-achievements
https://bugs.kerbalspaceprogram.com/issues/3243
https://bugs.kerbalspaceprogram.com/issues/3243
http://forum.kerbalspaceprogram.com/threads/105651-FIX-KSC-Buildings-Lock-Up-Can-t-Click-on-Anything-Firing-Kerbal-Crashes-Game

The link above is a good description of the problem, along with a couple of solutions.
#5 - 01/02/2015 08:26 AM - ElCarl
RexKramer wrote:

Yup, this sounds exactly like #3243.

ElCarl, could you please take a look at this link?
http://forum.kerbalspaceprogram.com/threads/105651-FIX-KSC-Buildings-Lock-Up-Can-t-Click-on-Anything-Firing-Kerbal-Crashes-Game

The link above is a good description of the problem, along with a couple of solutions.

Yeah, | mentioned it in my second update - that was the issue, and re-adding the Kerbal who had an achievement did fix the issue, so it is #3243

#6 - 01/02/2015 08:54 AM - RexKramer
- Status changed from Need More Info to Duplicate

- % Done changed from 0 to 100

Ok, thanks ElCarl! Marking as duplicate.
